#include "Arduino.h"

class AQM1602Y
{
    public:
        AQM1602Y( int addr, int vdd );
        void begin( void );
        void clear( void );
        void lcd_write(int mode,int cmd);
        void set_cursol(int flag);
        void set_blink(int flag);
        void set_contrast(int value);
        void set_display();
        void move(int mx, int my);
        void charwrite(char *outchar);

    private:
        int i2caddr;
        int vdd, contrast;
        int cursol, blink, display, x, y;
};
